Anypoint Amazon SNS Connector Demo
==================================


INTRODUCTION
------------
The Amazon SNS connector demo consists of the following projects:

* sns-operations-app - Provides sample flows on how to execute operations like Create topic, Subscribe to a topic, Publish a message and delete topic using the connector. Most of the flows are developed based on the combination of related operations to make a logical outcome.

HOW TO RUN DEMO
---------------

### Prerequisites
In order to build and run this project, you'll need;

* Anypoint Studio with Mule ESB 3.7.x EE Runtime.
* Anypoint Amazon SNS Connector v2.2.0 or higher.
* Amazon SNS & SQS Credentials.

### Test the flows

With Anypoint Studio up and running, open the Import wizard from the File menu. A pop-up wizard will offer you the chance to pick Anypoint Studio Project from External Location. On the next wizard window point Project Root to the location of the demo project and select the Server Runtime as Mule Server 3.7.0 EE. Once successfully imported the studio will automatically present the Anypoint Flows.

From the Package Explorer view, expand the demo project and open the mule-app.properties file. Fill in the credentials of Amazon SNS and SQS instance.

#### sns-operations-app :

* Run the demo project.
* In web browser visit http://localhost:8081 to view the demo page. The page displays the operations along with respective variables required to invoke the operation defined by the flows.

SUMMARY
-------

Congratulations! The demo presents only a limited list of operations to play with, refer to the connector API docs for all the operations supported and further possibilities.
